Name: eclipse-build-utils
Version: 0.1.0
Release: alt1

Summary: Common build utilities for Eclipse packages
Group: Development/Other
License: GPL

# NOTE: avoid using %_libdir because it expands differently
# under a 64-bit target
%define eclipse_home %_prefix/lib/eclipse

Source: %name-%version.tar.bz2

BuildArch: noarch

BuildRequires: common-licenses

%description
Common files used to build Eclipse-related packages.
Currently includes a set of XSL transformations and an Ant build file
to drive them.

%prep
%setup -q
rm -f COPYING
ln -s %_licensedir/GPL-2 COPYING

%build
sed 's,@ECLIPSE_HOME@,%eclipse_home,; s,@UTILS_HOME@,%_datadir/%name,' \
    < ant/%name.xml.in > ant/%name.xml

%install
install -d -m755 %buildroot%_datadir/%name
install -d -m755 %buildroot%_datadir/%name/ant
install -p -m644 ant/%name.xml %buildroot%_datadir/%name/ant/
install -d -m755 %buildroot%_datadir/%name/xslt
install -p -m644 xslt/* %buildroot%_datadir/%name/xslt/

%files
%doc README AUTHORS
%doc --no-dereference COPYING
%_datadir/%name

%changelog
* Fri Mar 03 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.0-alt1
- Initial release for Sisyphus
